package cn.tsy.data.idsse.dsds.model.sample;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 数据样品基本信息表
 * 
 * @author: zxq
 * @date: 2024-05-14 18:40:35
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAMPLE_REG", key = "TSY_ID")
public class SampleReg extends HmeBean {
	private static final long serialVersionUID = -7691038960323992337L;
	private Integer tsy_id;
	//数据集，航次号_潜次号_设备类型_数据样品类型
	private String dataset_name;
	//数据集内编号
	private Integer sample_seq;
	//数据样品编号
	private String sample_code;
	//样品编号（按照命名规则命名）
	private String sample_name;
	//作业类型，站位作业，测线作业
	private String job_type;
	//航次内部编号
	private Integer voyage_id;
	//航次名称（冗余）
	private String voyage_name;
	//平台类型
	private String platform_type;
	//平台名称
	private String platform_name;
	//前次名称
	private String diving_name;
	//设备内部编号
	private Integer equipment_id;
	//设备简称
	private String equipment_alias;
	//设备类型
	private String equipment_type;
	//设备编号
	private String equipment_sn;
	//数据样品类型编号
	private Integer data_id;
	//设备样品类型检测
	private String data_alias;
	//样品类型
	private String sample_type;
	//文物器号
	private String antique_sn;
	//备注信息
	private String sample_remark;
	//创建时间
	private LocalDateTime create_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 数据集，航次号_潜次号_设备类型_数据样品类型
	 */
	public String getDataset_name() {
		return this.dataset_name;
	}

	/****
	 * 数据集，航次号_潜次号_设备类型_数据样品类型
	 */
	public void setDataset_name(String dataset_name) {
		this.dataset_name = dataset_name;
	}

	/****
	 * 数据集内编号
	 */
	public Integer getSample_seq() {
		return this.sample_seq;
	}

	/****
	 * 数据集内编号
	 */
	public void setSample_seq(Integer sample_seq) {
		this.sample_seq = sample_seq;
	}

	/****
	 * 数据样品编号
	 */
	public String getSample_code() {
		return this.sample_code;
	}

	/****
	 * 数据样品编号
	 */
	public void setSample_code(String sample_code) {
		this.sample_code = sample_code;
	}

	/****
	 * 样品编号（按照命名规则命名）
	 */
	public String getSample_name() {
		return this.sample_name;
	}

	/****
	 * 样品编号（按照命名规则命名）
	 */
	public void setSample_name(String sample_name) {
		this.sample_name = sample_name;
	}

	/****
	 * 作业类型，站位作业，测线作业
	 */
	public String getJob_type() {
		return this.job_type;
	}

	/****
	 * 作业类型，站位作业，测线作业
	 */
	public void setJob_type(String job_type) {
		this.job_type = job_type;
	}

	/****
	 * 航次内部编号
	 */
	public Integer getVoyage_id() {
		return this.voyage_id;
	}

	/****
	 * 航次内部编号
	 */
	public void setVoyage_id(Integer voyage_id) {
		this.voyage_id = voyage_id;
	}

	/****
	 * 航次名称（冗余）
	 */
	public String getVoyage_name() {
		return this.voyage_name;
	}

	/****
	 * 航次名称（冗余）
	 */
	public void setVoyage_name(String voyage_name) {
		this.voyage_name = voyage_name;
	}

	/****
	 * 平台类型
	 */
	public String getPlatform_type() {
		return this.platform_type;
	}

	/****
	 * 平台类型
	 */
	public void setPlatform_type(String platform_type) {
		this.platform_type = platform_type;
	}

	/****
	 * 平台名称
	 */
	public String getPlatform_name() {
		return this.platform_name;
	}

	/****
	 * 平台名称
	 */
	public void setPlatform_name(String platform_name) {
		this.platform_name = platform_name;
	}

	/****
	 * 前次名称
	 */
	public String getDiving_name() {
		return this.diving_name;
	}

	/****
	 * 前次名称
	 */
	public void setDiving_name(String diving_name) {
		this.diving_name = diving_name;
	}

	/****
	 * 设备内部编号
	 */
	public Integer getEquipment_id() {
		return this.equipment_id;
	}

	/****
	 * 设备内部编号
	 */
	public void setEquipment_id(Integer equipment_id) {
		this.equipment_id = equipment_id;
	}

	/****
	 * 设备简称
	 */
	public String getEquipment_alias() {
		return this.equipment_alias;
	}

	/****
	 * 设备简称
	 */
	public void setEquipment_alias(String equipment_alias) {
		this.equipment_alias = equipment_alias;
	}

	/****
	 * 设备类型
	 */
	public String getEquipment_type() {
		return this.equipment_type;
	}

	/****
	 * 设备类型
	 */
	public void setEquipment_type(String equipment_type) {
		this.equipment_type = equipment_type;
	}

	/****
	 * 设备编号
	 */
	public String getEquipment_sn() {
		return this.equipment_sn;
	}

	/****
	 * 设备编号
	 */
	public void setEquipment_sn(String equipment_sn) {
		this.equipment_sn = equipment_sn;
	}

	/****
	 * 数据样品类型编号
	 */
	public Integer getData_id() {
		return this.data_id;
	}

	/****
	 * 数据样品类型编号
	 */
	public void setData_id(Integer data_id) {
		this.data_id = data_id;
	}

	/****
	 * 设备样品类型检测
	 */
	public String getData_alias() {
		return this.data_alias;
	}

	/****
	 * 设备样品类型检测
	 */
	public void setData_alias(String data_alias) {
		this.data_alias = data_alias;
	}

	/****
	 * 样品类型
	 */
	public String getSample_type() {
		return this.sample_type;
	}

	/****
	 * 样品类型
	 */
	public void setSample_type(String sample_type) {
		this.sample_type = sample_type;
	}

	/****
	 * 文物器号
	 */
	public String getAntique_sn() {
		return this.antique_sn;
	}

	/****
	 * 文物器号
	 */
	public void setAntique_sn(String antique_sn) {
		this.antique_sn = antique_sn;
	}

	/****
	 * 备注信息
	 */
	public String getSample_remark() {
		return this.sample_remark;
	}

	/****
	 * 备注信息
	 */
	public void setSample_remark(String sample_remark) {
		this.sample_remark = sample_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}
}